package org.openwebtop.web.sunshine.interceptors;

import org.openwebtop.web.sunshine.constants.GlobalConstants;
import org.openwebtop.web.sunshine.user.UserContext;
import org.openwebtop.web.sunshine.user.UserContextAware;
import org.openwebtop.web.sunshine.util.GlobalContext;

import com.opensymphony.xwork.ActionInvocation;
import com.opensymphony.xwork.interceptor.Interceptor;

@SuppressWarnings("serial")
public class UserContextInterceptor implements Interceptor {

	public void destroy() {
	}

	public void init() {
	}

	public String intercept(ActionInvocation invocation) throws Exception {
		final Object obj = invocation.getAction();

		if (obj instanceof UserContextAware) {
			final UserContextAware action = (UserContextAware)obj;
			final UserContext userContext = (UserContext)GlobalContext.getAttribute(GlobalConstants.USER_CONTEXT_KEY);

			action.setUserContext(userContext);
		}

		return null;
	}

}
